/* Distributed under the terms of GPLv3 or later. See COPYING for details. */

/*! \file logging.cpp
 *
 * \brief Implementation of the logging system.
 */
#include <cstdio>
#include <string>

#ifndef INCLUDE_LOGGING_H_
#include "../include/logging.h"
#endif

using namespace std;

Logger::Logger(int threshold, FILE *logging_output, FILE *error_output) {
  log_threshold = threshold;
  log_output = logging_output;
  err_output = error_output;
}

void Logger::err(std::string message) {
  fprintf(err_output, "%s\n", message.c_str());
}

void Logger::log(std::string message, int level) {
  if (level == LOG_ERRO) err(message);
  else {
    if (level >= log_threshold) fprintf(log_output, "%s\n", message.c_str());
  }
}
